Loading...
Searching...
No Matches
gtsam::DiscreteKeys Struct Reference

## Detailed Description

DiscreteKeys is a set of keys that can be assembled using the & operator.

Inheritance diagram for gtsam::DiscreteKeys:

## Public Member Functions

| DiscreteKeys ()
| Constructor for serialization.
| DiscreteKeys (const DiscreteKey &key)
| Construct from a key.
| DiscreteKeys (std::map< Key, size_t > cardinalities)
| Construct from cardinalities.
| DiscreteKeys (const std::vector< DiscreteKey > &keys)
| Construct from a vector of keys.
| DiscreteKeys (const std::vector< int > &cs)
| Construct from cardinalities with default names.
KeyVector | indices () const
| Return a vector of indices.
std::map< Key, size_t > | cardinalities () const
| Return a map from index to cardinality.
DiscreteKeys & | operator& (const DiscreteKey &key)
| Add a key (non-const!).
void | print (const std::string &s="", const KeyFormatter &keyFormatter=DefaultKeyFormatter) const
| Print the keys and cardinalities.
bool | equals (const DiscreteKeys &other, double tol=0) const
| Check equality to another DiscreteKeys object.
template<class ARCHIVE>
void | serialize (ARCHIVE &ar, const unsigned int)

## Friends

class | boost::serialization::access
| Serialization function.

The documentation for this struct was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/discrete/DiscreteKey.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/discrete/DiscreteKey.cpp